if(wxWidgets_FOUND)
    target_include_directories(${TARGET} PRIVATE ${wxWidgets_INCLUDE_DIRS})
    set(WX_WIDGETS_LIB_DIR ${wxWidgets_LIBRARY_DIRS})
    include(${wxWidgets_USE_FILE})
elseif(WX_WIDGETS_SOURCE_DIR)
    target_include_directories(${TARGET} PRIVATE ${WX_WIDGETS_SOURCE_DIR}/include)
    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
        set(WX_WIDGETS_BUILD_DIR_X64 ${WX_WIDGETS_SOURCE_DIR}-win64)
        target_include_directories(${TARGET} PRIVATE ${WX_WIDGETS_BUILD_DIR_X64}/lib/vc_x64_lib/mswu$<$<CONFIG:Debug>:d>)    
        set(WX_WIDGETS_LIB_DIR ${WX_WIDGETS_BUILD_DIR_X64}/lib/vc_x64_lib)
    elseif(CMAKE_SIZEOF_VOID_P EQUAL 4)
        set(WX_WIDGETS_BUILD_DIR_X86 ${WX_WIDGETS_SOURCE_DIR}-win32)
        target_include_directories(${TARGET} PRIVATE ${WX_WIDGETS_BUILD_DIR_X86}/lib/vc_lib/mswu$<$<CONFIG:Debug>:d>)    
        set(WX_WIDGETS_LIB_DIR ${WX_WIDGETS_BUILD_DIR_X86}/lib/vc_lib)
    else()
        message(FATAL_ERROR "Unsupported bit depth (${CMAKE_SIZEOF_VOID_P}) for this target platform (${CMAKE_SYSTEM_PROCESSOR})!")
    endif()
else()
    message(FATAL_ERROR "Either 'WX_WIDGETS_SOURCE_DIR' must be defined in your environment OR the same compiler as used to compile the Windows version of wxWidgets in the 'Toolkits' must be used OR wxWidgets must be installed on this system in a way the cmake package finder can locate it!")
endif()
