if(wxWidgets_FOUND)
    target_link_libraries(${TARGET} PRIVATE ${wxWidgets_LIBRARIES})
elseif(WX_WIDGETS_LIB_DIR)
    if(WIN32)
        set(WX_WIDGETS_MAJOR_MINOR_VERSION "32")
        target_link_libraries(${TARGET} PRIVATE
            ${WX_WIDGETS_LIB_DIR}/wxbase${WX_WIDGETS_MAJOR_MINOR_VERSION}u$<$<CONFIG:Debug>:d>.lib
            ${WX_WIDGETS_LIB_DIR}/wxbase${WX_WIDGETS_MAJOR_MINOR_VERSION}u$<$<CONFIG:Debug>:d>_xml.lib
            ${WX_WIDGETS_LIB_DIR}/wxmsw${WX_WIDGETS_MAJOR_MINOR_VERSION}u$<$<CONFIG:Debug>:d>_adv.lib
            ${WX_WIDGETS_LIB_DIR}/wxmsw${WX_WIDGETS_MAJOR_MINOR_VERSION}u$<$<CONFIG:Debug>:d>_core.lib
            ${WX_WIDGETS_LIB_DIR}/wxmsw${WX_WIDGETS_MAJOR_MINOR_VERSION}u$<$<CONFIG:Debug>:d>_webview.lib
            ${WX_WIDGETS_LIB_DIR}/wxpng$<$<CONFIG:Debug>:d>.lib
            ${WX_WIDGETS_LIB_DIR}/wxzlib$<$<CONFIG:Debug>:d>.lib
        )
    else()
        message(FATAL_ERROR "'WX_WIDGETS_LIB_DIR' is defined in your environment but this is currently only fully implemented on Windows platforms!")
    endif()
else()
    message(FATAL_ERROR "Either 'WX_WIDGETS_LIB_DIR' must be defined in your environment OR the same compiler as used to compile the Windows version of wxWidgets in the 'Toolkits' must be used OR wxWidgets must be installed on this system in a way the cmake package finder can locate it!")
endif()
