//
// @description: Example applications for Impact Acquire
// @copyright: Copyright (C) 2019 Balluff GmbH
// @authors: APIs and drivers development team at Balluff GmbH
// @initial date: 2019-02-19
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
// and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice (including the next paragraph) shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,i
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//

//-----------------------------------------------------------------------------
#include "../ProxyResolverContext.h"
#include <wx/utils.h>

using namespace std;

//-----------------------------------------------------------------------------
ProxyResolverContext::ProxyResolverContext( const wstring& /*userAgent*/, const wstring& /*url*/ ) : pImpl_( 0 )
//-----------------------------------------------------------------------------
{

}

//-----------------------------------------------------------------------------
ProxyResolverContext::~ProxyResolverContext()
//-----------------------------------------------------------------------------
{

}

//-----------------------------------------------------------------------------
wstring ProxyResolverContext::GetProxy( unsigned int /*index*/ ) const
//-----------------------------------------------------------------------------
{
    wxString envString;
    if( !wxGetEnv( "http_proxy", &envString ) )
    {
        return wstring();
    }
    return envString.BeforeLast( ':' ).ToStdWstring();
}

//-----------------------------------------------------------------------------
unsigned int ProxyResolverContext::GetProxyPort( unsigned int /*index*/ ) const
//-----------------------------------------------------------------------------
{
    wxString envString;
    if( !wxGetEnv( "http_proxy", &envString ) )
    {
        return 0;
    }
    return static_cast< unsigned int >( wxAtoi( envString.AfterLast( ':' ) ) );
}

//-----------------------------------------------------------------------------
/// \brief This function checks the token of the calling thread to see if the caller
/// belongs to the Administrators group.
/**
 * \return
   - true if the caller is an administrator on the local machine.
   - false otherwise
*/
bool IsCurrentUserLocalAdministrator( void )
//-----------------------------------------------------------------------------
{
    return true;
}
