/*
 * @description: Example applications for Impact Acquire
 * @copyright: Copyright (C) 2009 - 2018 Balluff GmbH
 * @authors: APIs and drivers development team at Balluff GmbH
 * @initial date: 2009-05-08
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next paragraph) shall be included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

//-----------------------------------------------------------------------------
#ifndef CustomValidatorsH
#define CustomValidatorsH CustomValidatorsH
//-----------------------------------------------------------------------------
#include <apps/Common/wxIncluder.h>

//-----------------------------------------------------------------------------
class IPv4StringValidator : public wxTextValidator
//-----------------------------------------------------------------------------
{
public:
    IPv4StringValidator( wxString* valPtr = NULL );
};

//-----------------------------------------------------------------------------
class MACStringValidator : public wxTextValidator
//-----------------------------------------------------------------------------
{
public:
    MACStringValidator( wxString* valPtr = NULL );
};

#endif // CustomValidatorsH
